Erro PlugPag EventListener (v. 3.6.1)

Comunidade

Ask a Question
Back to All

Erro PlugPag EventListener (v. 3.6.1)

Na versao 3.6.1 do plugpag ao executar o evento setEventListener da classe PlugPag ocorre o erro abaixo:

Caused by: java.lang.NoSuchFieldError: no "Lbr/com/uol/pagseguro/plugpag/PlugPagEventListener;" field "mNativeEventListener" in class "Lbr/com/uol/pagseguro/plugpag/PlugPag;" or its superclasses
at br.com.uol.pagseguro.plugpag.PlugPagBase.setNativeEventListener(Native Method)
at br.com.uol.pagseguro.plugpag.PlugPag.setEventListener(PlugPag.java:3)

Esse erro somente ocorre ao executar o apk gerado. Executando pelo ambiente do Android Studio o problema nao ocorre.